Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.cluster.neighbor_evaluator
Class AgglomerativeNeighbor

    java.lang.Object
      cc.mallet.cluster.neighbor_evaluator.Neighbor
          cc.mallet.cluster.neighbor_evaluator.AgglomerativeNeighbor

All Implemented Interfaces:
  java.io.Serializable

    public class AgglomerativeNeighbor

extends Neighbor

A `Neighbor` created by merging two clusters of the original Clustering.

Since:
  1.0
Version:
  1.0
Author:
  "Aron Culotta"
See Also:
  Serialized Form

Constructor Summary
`AgglomerativeNeighbor(Clustering original, Clustering modified, int[][] oldClusters)`
`AgglomerativeNeighbor(Clustering original, Clustering modified, int[] oldCluster1, int[] oldCluster2)`
`AgglomerativeNeighbor(Clustering original, Clustering modified, int oldCluster1, int oldCluster2)`

Method Summary
`int[]` | `getNewCluster()`
`int[][]` | `getOldClusters()`
`java.lang.String` | `toString()`

Methods inherited from class cc.mallet.cluster.neighbor_evaluator.Neighbor
`getModified, getOriginal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AgglomerativeNeighbor

    public AgglomerativeNeighbor(Clustering original,
                                 Clustering modified,
                                 int[][] oldClusters)

Parameters:
  `original` -
  `modified` -
  `cluster1` - Instance indices for one cluster that was merged.
  `cluster2` - Instance indices for other cluster that was merged.

### AgglomerativeNeighbor

    public AgglomerativeNeighbor(Clustering original,
                                 Clustering modified,
                                 int[] oldCluster1,
                                 int[] oldCluster2)

### AgglomerativeNeighbor

    public AgglomerativeNeighbor(Clustering original,
                                 Clustering modified,
                                 int oldCluster1,
                                 int oldCluster2)

Method Detail

### getNewCluster

    public int[] getNewCluster()

### getOldClusters

    public int[][] getOldClusters()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Neighbor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD